.NET
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Help with "CreateExtrudedSolid" & "sweepoptions "

1 REPLY 1
SOLVED
Reply
Message 1 of 2
wcruzcc
805 Views, 1 Reply

Help with "CreateExtrudedSolid" & "sweepoptions "

In the past I used "AddExtrudedSolid" to extrude a region without any problems, worked like a charm see "old" code below.

 

F3D = AcadDoc.ModelSpace.AddExtrudedSolid(AcadRegion, Math.Abs(CollThickness(x)), 0)

 

I'm currently updating the code because "AddExtrudedSolid" is now known as "CreateExtrudedSolid". In the new version, my last parameter is asking for a "sweepoptions". Doesn't matter what I put there, it doesn't like it. See the code below. What do I need to do to make it work?

 

Dim so As SweepOptions
F3D = acSol3D.CreateExtrudedSolid(AcadRegion, Math.Abs(CollThickness(x)), so )

 

1 REPLY 1
Message 2 of 2
Hallex
in reply to: wcruzcc

Try this code snip it's working on A2010:
sold.CreateExtrudedSolid(curv, New Vector3d(1, 2, 20), New SweepOptions())
Change vector and curve to your settings
_____________________________________
C6309D9E0751D165D0934D0621DFF27919

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk DevCon in Munich May 28-29th


Autodesk Design & Make Report

”Boost